Get anonymization fields

Base URL
https://{kibana_url}
  • GET /api/security_ai_assistant/anonymization_fields/_find
  • GET /s/{space_id}/api/security_ai_assistant/anonymization_fields/_find
Auth

Get a list of all anonymization fields.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

fields string[]

Fields to return

Example: ["id","field","anonymized","allowed"]
filter string

Search query

Example: field: "user.name"
sort_field enum

Field to sort by

Values: created_at anonymized allowed field updated_at
sort_order enum

Sort order

Values: asc desc
page integer · min: 1 · default: 1

Page number

per_page integer · min: 0 · default: 20

AnonymizationFields per page

all_data boolean

If true, additionally fetch all anonymization fields, otherwise fetch only the provided page

Responses

Successful response

application/json
aggregations object
field_status object
buckets object
allowed object
doc_count integer · default: 0
anonymized object
doc_count integer · default: 0
denied object
doc_count integer · default: 0
all object[]
allowed boolean

Whether this field is allowed to be sent to the model.

anonymized boolean

Whether this field should be anonymized.

createdAt string

Timestamp of when the anonymization field was created.

createdBy string

Username of the person who created the anonymization field.

field string required

Name of the anonymization field.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

namespace string

Kibana space in which this anonymization field exists.

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

updatedAt string

Timestamp of the last update.

updatedBy string

Username of the person who last updated the field.

data object[] required
Same fields as all
page integer required
perPage integer required
total integer required

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}